<div id="create-data-space-page" #createDataSpaceRef>
  <div
    class="create-data-space-title d-inline-flex align-items-center justify-content-start pl-1"
  >
    <h2 class="my-0">Create a Data Space</h2>
  </div>

  <div
    class="create-data-space-btns-wrapper d-inline-flex align-items-center justify-content-around float-right"
  >
    <button
      mat-icon-button
      [matMenuTriggerFor]="menu"
      disabled
      aria-label="Icon button with a horizontal three dot icon"
    >
      <mat-icon>more_horiz</mat-icon>
    </button>

    <mat-menu #menu="matMenu">
      <button mat-menu-item>
        <mat-icon class="material-icons-outlined">save</mat-icon>
        <span>Save as a template</span>
      </button>
      <button mat-menu-item>
        <mat-icon class="material-icons-outlined">history</mat-icon>
        <span>Chronology</span>
      </button>
    </mat-menu>

    <button
      mat-button
      mat-stroked-button
      color="primary"
      [disabled]="stepper.selectedIndex === 0"
      (click)="stepper.previous()"
    >
      Back
    </button>

    <button
      mat-flat-button
      color="primary"
      class="next-button"
      [disabled]="!isButtonEnabled()"
      (click)="
        stepper.selectedIndex === stepper.steps.length - 1
          ? createDataSpace()
          : stepper.next()
      "
    >
      {{
        stepper.selectedIndex === stepper.steps.length - 1
          ? "Create Data Space"
          : "Next"
      }}
    </button>
  </div>

  <mat-stepper linear #stepper class="mt-0">
    <mat-step
      [stepControl]="templatesForm"
      label="1. Select a Template"
      state="selectTemplate"
    >
      <form [formGroup]="templatesForm">
        <app-templates></app-templates>
      </form>
    </mat-step>

    <mat-step
      [stepControl]="setUpDSForm"
      label="2. Set up Data Space"
      state="setUpDataSpace"
    >
      <form [formGroup]="setUpDSForm">
        <app-data-space-setup
          [_dataSpace]="setUpDSCtrl.value"
        ></app-data-space-setup>
      </form>
    </mat-step>

    <mat-step
      [stepControl]="dsDetailsForm"
      label="3. Data Space details"
      state="dataSpaceDetails"
    >
      <form [formGroup]="dsDetailsForm">
        <app-data-space-details
          [dataSpace]="setUpDSCtrl.value"
        ></app-data-space-details>
      </form>
    </mat-step>
    <mat-step
      [stepControl]="conditionsForm"
      label="4. Conditions"
      state="conditions"
    >
      <form [formGroup]="conditionsForm">
        <app-data-space-conditions></app-data-space-conditions>
      </form>
    </mat-step>

    <ng-template matStepperIcon="selectTemplate">
      <mat-icon>radio_button_unchecked</mat-icon>
    </ng-template>
    <ng-template matStepperIcon="setUpDataSpace">
      <mat-icon>radio_button_unchecked</mat-icon>
    </ng-template>
    <ng-template matStepperIcon="dataSpaceDetails">
      <mat-icon>radio_button_unchecked</mat-icon>
    </ng-template>
    <ng-template matStepperIcon="conditions">
      <mat-icon>radio_button_unchecked</mat-icon>
    </ng-template>
  </mat-stepper>
</div>
